cURL
curl --request POST \
--url https://api.nicheok.com/v1/moz/da-pa/batch \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"urls": [
"https://google.com"
]
}
'import requests
url = "https://api.nicheok.com/v1/moz/da-pa/batch"
payload = { "urls": ["https://google.com"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({urls: ['https://google.com']})
};
fetch('https://api.nicheok.com/v1/moz/da-pa/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"successUrls": [
{
"url": "https://google.com",
"domainAuthority": 99,
"pageAuthority": 99,
"spamScore": 1
}
],
"failedUrls": [
{
"url": "www-random-string-string",
"reason": "INVALID_URL"
}
]
},
"quota": {
"creditsUsed": 10
}
}{
"success": false,
"message": "Invalid payload provided. Please ensure: 1) 'Content-Type: application/json' is included in your request headers 2) Request body contains valid JSON data.",
"error": {
"issues": [
{
"code": "too_small",
"minimum": 1,
"type": "array",
"inclusive": true,
"exact": false,
"message": "Array must contain at least 1 element(s)",
"path": [
"urls"
]
}
],
"name": "ZodError"
}
}{
"success": false,
"message": "Invalid/Expired API key."
}{
"success": false,
"message": "Insufficient credits in your account."
}{
"success": false,
"message": "Internal server error"
}Moz
Moz Batch DA PA Check
POST
/
v1
/
moz
/
da-pa
/
batch
cURL
Authorizations
API Key
Body
application/json
Required array length:
1 - 50 elementsDomain or URL to fetch Moz metrics for
Required string length:
1 - 1000⌘I

